Subject: Re: More DLL and global var problems
From: Steve Jorgensen <[email-masked]>
To: [email-masked] (Mumit Khan)
Cc: [email-masked]
Date: Tue, 2 Nov 1999 14:21:34 -0700 (MST)

Mumit Khan wrote
>> Steve Jorgensen <[email-masked]> writes:
>> > 
>> > 	Does anybody remember what the fix was for the X11 port?  I know
>> > 	it must have been fixed, because our base Manager widgets subclasses
>> > 	off an Xt Constraint widget, and the compiler doesn't have
>> > 	any problem with using the global variable from the Xt dll.
>> 
>> Hey Sergey, where are you?????
	:)
>> 
>> > 	If I have to, we'll leave our compiled X libraries static.
>> 
>> That's what I do for our releases. I don't fancy mucking with a large body
>> of code. I had considered the scheme that Donn Terry implemented in Interix 
>> (which is now owned by Microsoft) -- SVR4/ELF-like shared library support 
>> by playing with IAT after loading the DLL, but before the user gets control
>> of it. I don't remember the details, but it's messy, and way beyond of my 
>> budget to hire anyone, so we let it go in favor of static. 

	We were actually using Interix for our last release, but we needed
	some features that were promised for their "upcoming" release
	of Interix.  Unfortunately, the new release is very delayed, and
	with their new management it may never show up.. Hence the
	reason I'm working with cygwin now.. 
>> 
>> > 	Also, I'm using the GNU pro 2.9-cygwin-990830 gcc compiler
>> > 	that comes with the 1.0 CD, because it's supposed to produce
>> > 	better binaries.  Would it make any difference to use the gcc 2.95
>> > 	compiler available off the net?  I'd be willing to switch if it
>> > 	fixes this problem.
>> 
>> I believe all the changes are in Cygwin 1.0 compiler, so you should be
>> fine. There are some differences in the front-end handling (gcc-2.95 +
>> my patches add some features to the front-end that are specific to x86
>> win32 ports), but the code generator in Cygwin 1.0 is far superior.
>> 
>> For you, switching doesn't offer any advantages. 
>> 
>> btw, can you send me the preprocessed output of the file that is choking?
>> -save-temps option to gcc saves a .i file, which is what I'd like to take
>> a look at.

	Will do, I'll send it in a private email later (It'll take me
	a bit to re-dynamicize it.. :)

					Steve

-- 
-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]